%global pypi_name portend
%global with_docs 1

Name:           python-%{pypi_name}
Version:        3.1.0
Release:        %mkrel 3
Summary:        TCP port monitoring and discovery
License:        MIT
Group:          Development/Python
URL:            https://pypi.org/project/portend
Source0:        %{pypi_source}
BuildArch:      noarch

%description
Use portend to monitor TCP ports for bound or unbound states.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
Group:          Development/Python
BuildRequires:  python3-devel
BuildRequires:  python3dist(jaraco.functools)
BuildRequires:  python3dist(pytest) >= 3.4
BuildRequires:  python3dist(pytest-cov)
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(setuptools-scm) >= 1.15
BuildRequires:  python3dist(tempora) >= 1.8

%description -n python3-%{pypi_name}
Use portend to monitor TCP ports for bound or unbound states.

%package -n python-%{pypi_name}-doc
Summary:        portend documentation
Group:          Development/Python
BuildRequires:  python3dist(jaraco.packaging) >= 3.2
BuildRequires:  python3dist(rst.linker) >= 1.9
BuildRequires:  python3dist(sphinx)
BuildRequires:  python3-more-itertools

%description -n python-%{pypi_name}-doc
Documentation for portend

%prep
%autosetup -n %{pypi_name}-%{version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info
# black is apparently not a valid option?
sed -i 's/ --black//' pytest.ini

%build
%py3_build

%if 0%{?with_docs}
# generate html docs 
PYTHONPATH=${PWD} sphinx-build-3 docs html
# remove the sphinx-build leftovers
rm -rf html/.{doctrees,buildinfo}
%endif

%install
%py3_install

%files -n python3-%{pypi_name}
%doc LICENSE
%doc README.rst
%{python3_sitelib}/__pycache__/*
%{python3_sitelib}/%{pypi_name}.py
%{python3_sitelib}/%{pypi_name}-%{version}-py%{python3_version}.egg-info

%if 0%{?with_docs}
%files -n python-%{pypi_name}-doc
%doc html
%doc LICENSE
%endif


%changelog
* Wed Mar 30 2022 umeabot <umeabot> 3.1.0-3.mga9
+ Revision: 1833851
- Mageia 9 Mass Rebuild

* Wed Feb 23 2022 mrambo3501 <mrambo3501> 3.1.0-2.mga9
+ Revision: 1783305
- rebuild for python-3.10

* Sun Nov 28 2021 guillomovitch <guillomovitch> 3.1.0-1.mga9
+ Revision: 1759737
- new version 3.1.0

* Tue Mar 23 2021 guillomovitch <guillomovitch> 2.7.1-2.mga9
+ Revision: 1708428
- new version 4.0.2

* Fri Feb 26 2021 guillomovitch <guillomovitch> 2.7.1-1.mga9
+ Revision: 1691828
- new version 2.7.1

* Sun Dec 13 2020 guillomovitch <guillomovitch> 2.7.0-1.mga8
+ Revision: 1656366
- new version 2.7.0

* Tue Nov 10 2020 guillomovitch <guillomovitch> 2.6-1.mga8
+ Revision: 1644391
- imported package python-portend

